be.ehealth.technicalconnector.service.sts.security

## Interface SAML11Token

- All Superinterfaces:
    Credential, ExtendedCredential, SAMLToken
  All Known Implementing Classes:
    AbstractSAML11Token, SAML11HolderOfKeyToken, SAML11SenderVouchesToken

      public interface SAML11Token
      extends SAMLToken

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface be.ehealth.technicalconnector.service.sts.security.SAMLToken

      `SAMLToken.Version`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HOK_METHOD` The Constant HOK_METHOD.
    `static String` | `NAMEID_UNSPECIFIED`
    `static String` | `NAMEID_X509SUBJECTNAME`
    `static String` | `SV_METHOD` The Constant SV_METHOD.
    `static String` | `XMLNS_SAML`

  - ### Method Summary

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.SAMLToken

      `checkValidity, getAssertion, getAssertionID, getAttributes, getCredential, getNotOnOrAfterCondition, getSamlVersion`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.ExtendedCredential

      `getCertPath, getExpirationDateTime`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.Credential

      `getCertificate, getCertificateChain, getIssuer, getIssuerQualifier, getKeyStore, getPrivateKey, getProviderName, getPublicKey`

- - ### Field Detail

    - #### HOK_METHOD

          static final String HOK_METHOD

      The Constant HOK_METHOD.
      See Also:
        Constant Field Values

    - #### SV_METHOD

          static final String SV_METHOD

      The Constant SV_METHOD.
      See Also:
        Constant Field Values

    - #### XMLNS_SAML

          static final String XMLNS_SAML

      See Also:
        Constant Field Values

    - #### NAMEID_UNSPECIFIED

          static final String NAMEID_UNSPECIFIED

      See Also:
        Constant Field Values

    - #### NAMEID_X509SUBJECTNAME

          static final String NAMEID_X509SUBJECTNAME

      See Also:
        Constant Field Values

Connector Packaging PERSPRACTICALNURSE 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.